#!/bin/bash
# 11th July 2016 - amended lines 41-54 to allow for selection of download folder
#                - amended line 107 to insert selected download folder in front of the file name
WHEREAMI="$(cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd && echo)"
cd $WHEREAMI
export DIALOG='
<window title="GTKgetYT3" image-name="getYT3.png">
  <vbox>
    <text>
      <label>"GTKgetYT V3.0.0"</label>
    </text>
    <text>
      <label>"download and save youtube videos."</label>
    </text>
    <hbox>
      <checkbox>
        <label>enable extra youtube-dl options </label>
        <variable>CHECKBOX2</variable>
        <action>if true enable:MISIC</action>
        <action>if false disable:MISIC</action>
      </checkbox>
      <checkbox>
        <label>enable change filename</label>
        <variable>CHECKBOX</variable>
        <action>if true enable:FILE</action>
        <action>if false disable:FILE</action>
      </checkbox>
      <checkbox>
        <label>enable change format</label>
        <variable>CHECKBOX3</variable>
        <action>if true enable:FORMAT</action>
        <action>if false disable:FORMAT</action>
      </checkbox>
    </hbox>
    <text>
      <label>"*normal YouTube Video URL"</label>
    </text>
    <entry>
      <variable>URL</variable>
    </entry>
    
    <text>
      <label>"*Folder to save downloaded video in"</label>
    </text>
	
    <hbox>
	  <entry editable="true" accept="directory">
         <default>"VIDCACHE"</default>
         <variable>FOLDER</variable>
       </entry>

      <button>
        <input file stock="gtk-open"></input>
        <action type="fileselect">FOLDER</action>
      </button>
    </hbox>      
     
    <text>
      <label>"**Filename of video. leave default to use the video title "</label>
    </text>
    <entry>
      <variable>FILE</variable>
      <default>"%(title)s.%(ext)s"</default>
      <visible>disabled</visible>
    </entry>
    <text>
      <label>"**video format. change default in optionsYT3.sh"</label>
    </text>
    <entry>
      <variable>FORMAT</variable>
      <input file>DATA/FORMAT.CONFIG.TXT</input>
      <visible>disabled</visible>
    </entry>
    <text>
      <label>"***add extra youtube-dl options note that -f and -o are used already"</label>
    </text>
    <entry>
      <variable>MISIC</variable>
      <input file>DATA/YTDLOPT.CONFIG.TXT</input>
      <visible>disabled</visible>
    </entry>
    <text>
      <label>"* user input needed  *** expert users"</label>
    </text>
    <text>
      <label>"** user may keep default entry or enter a new value"</label>
    </text>
    <hbox>
      <button ok></button>
      <button cancel></button>
    </hbox>
  </vbox>
</window>'

I=$IFS; IFS=""
for STATEMENTS in  $(gtkdialog --program DIALOG); do
  eval $STATEMENTS
done
IFS=$I

# changed condition below to insert the chosen folder name in front of the file name
if [ "$EXIT" = "OK" ]; then
  echo "The youtube video: $URL will now download."
  cd $FOLDER
  youtube-dl -f $FORMAT $MISIC -o $FOLDER/$FILE $URL
else
  echo ""
fi

